FitnessSyncer for Researchers
FitnessSyncer for Researchers offers a set of tools to enable researchers to leverage the FitnessSyncer platform to get the data required for their studies. For more information on our offerings, please Contact Us.
List Research Users
If you have started with FitnessSyncer for Researchers and have requested the ability to use our API, this API will acquire the list of user credentials to acquire the data directly.
GEThttps://api.fitnesssyncer.com/api/researchers/users/
Scoperesearcher_read
Response 200Research User List
Example request
curl -H "Authorization: Bearer AccessToken" "https://api.fitnesssyncer.com/api/researchers/users/"| Query Parameter Name | Description |
|---|---|
| offset | How many entries should we skip? Default is 0. |
| limit | How many entries would you like to return? Default and max is 100. |
Response
The HTTP Response Code will be a 200 on success and the body will be a Research User List.
Types
Research User List
| JSON Item | Data Type | Description |
|---|---|---|
| users | Array of Research User API | List of Users |
Research User API
| JSON Item | Data Type | Description |
|---|---|---|
| displayName | String | Display Name of the User. |
| accessToken | String | Access Token for the User. |
| refreshToken | String | Refresh Token for the User. |
| expires | Long | Token expiration time in milliseconds since Epoch. |